﻿#language: ru

Функционал: Формирование задания на варку сыра и выпуск смеси

Сценарий: Формирование задания на варку сыра
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Производственные задания'
	Тогда открылось окно 'Производственные задания'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Производственное задание (создание)'
	И в поле 'Дата смены' я ввожу текст '12.03.2019'
	И в поле 'от' я ввожу текст '12.03.2019 00:00:00'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И я перехожу к закладке "Задание"
	И в таблице "Товары" я добавляю новую строку
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Пошехонский 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Пошехонский 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'N' |
		| '1' |
	И в таблице "Товары" я удаляю строку
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Производственное задание (создание) *' в течение 20 секунд
	Тогда открылось окно 'Производственные задания'
	И Я закрываю окно 'Производственные задания'

Сценарий: Проверка автоформирования задания на смесь
	И В командном интерфейсе я выбираю 'Производство' 'Производственные задания'
	Тогда открылось окно 'Производственные задания'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' |   'Ответственный' | 'Способ создания'                      |
		| '12.03.2019' |   'Мастер сырцеха' | 'Автоматическое создание на основании' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Производственное задание *'
	И я перехожу к закладке "Задание"
	И таблица "Товары" стала равной:
		| 'N' | 'Спецификация' | 'Количество' | 'Номенклатура' | 'Характеристика'    | 'Серия'                   | 'Ед. изм.' |
		| '1' | 'Смесь 50%'    | '10 000,000' | 'Смесь 50%'    | '<не используются>' | '1 до 12.03.2019 0:00:00' | 'кг'       |
		| '2' | 'Смесь 45%'    | '10 000,000' | 'Смесь 45%'    | '<не используются>' | '2 до 12.03.2019 0:00:00' | 'кг'       |
		| '3' | 'Смесь 45%'    | '10 000,000' | 'Смесь 45%'    | '<не используются>' | '3 до 12.03.2019 0:00:00' | 'кг'       |
		| '4' | 'Смесь 45%'    | '10 000,000' | 'Смесь 45%'    | '<не используются>' | '4 до 12.03.2019 0:00:00' | 'кг'       |
	И Я закрываю окно 'Производственное задание *'
	Тогда открылось окно 'Производственные задания'
	И Я закрываю окно 'Производственные задания'